﻿@using System.Web.UI.WebControls;
@using Portal.Models.Dock;
@using Portal.Models.Plant;
@using Portal.Models.SupplierReconciliation;

@model Toyota.Common.Web.MVC.ModelHolder
@Html.Partial("Index")
@using (Html.BeginForm("", "Index", FormMethod.Post))
{
       
<table width="300px" border = "0">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SupplierCodeLabel";
                }
           ).Bind(ViewData["SetSupplierCodeLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Document Number";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DocumentNumberLabel";
                }
            ).Bind(ViewData["SetDocumentNumberLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Posting Date";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "PostingDateLabel";
                }
            ).Bind(ViewData["SetPostingDateLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "DocumentType";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DocumentTypeLabel";
                }
            ).Bind(ViewData["SetDocumentTypeLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Curr";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "CurrLabel";
                }
            ).Bind(ViewData["SetCurrLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplir Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SupplierAmountLabel";
                }
            ).Bind(ViewData["SetSupplierAmountLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "TMMIN Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "TMMINAmountLabel";
                }
            ).Bind(ViewData["SetTMMINAmountLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Different";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DifferentLabel";
                }
            ).Bind(ViewData["SetDifferentLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Status";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "StatusLabel";
                }
            ).Bind(ViewData["SetStatusLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Feedback Supplier";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "FeedbackSupplierLabel";
                }
            ).Bind(ViewData["SetFeedbackSupplierLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Feedback TMMIN";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "FeedbackTMMINLabel";
                }
            ).Bind(ViewData["SetFeedbackTMMINLabel"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    
</table>
<table width="300px" border ="0">
 <tr>
        
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okSaveEdit";
                    settings.Text = "Save";
                    settings.Width = 80;

                    settings.ClientSideEvents.Click = "EditSavePopup";
                }
            ).GetHtml()</td>
        <td align="right" width="80px">
        @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSaveEdit";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "EditCancelPopup";
            }
        ).GetHtml()
        </td>
     </tr>
</table>
    
}